import { MetaCrawlerService } from './meta-crawler.service';
import { MetaCrawlerInputItemService } from './meta-crawler-input-item.service';
import { MetaHistoryTypeService } from './meta-history-type.service';
import { MetaInfraTypeService } from './meta-infra-type.service';
import { MetaInputTypeService } from './meta-input-type.service';
import { MetaMemberStatusService } from './meta-member-status.service';
import { MetaNoAuthProbeStatusService } from './meta-noauth-probe-status.service';
import { MetaProbeStatusService } from './meta-probe-status.service';
import { MetaSensorDisplayItemService } from './meta-sensor-display-item.service';
import { MetaSensorDisplayMappingService } from './meta-sensor-display-mapping.service';
import { MetaSensorItemService } from './meta-sensor-item.service';
import { MetaSensorItemKeyService } from './meta-sensor-item-key.service';
import { MetaSensorItemTypeService } from './meta-sensor-item-type.service';
import { MetaSensorItemUnitService } from './meta-sensor-item-unit.service';
import { MetaSensorStatusService } from './meta-sensor-status.service';
import { MetaCrawlerMappingService } from './meta-crawler-mapping.service';
import { MetaCryptoTypeService } from './meta-crypto-type.service';
import { MetaEmailTypeService } from './meta-email-type.service';
import { MetaIPTypeService } from './meta-ip-type.service';
import { MetaPortTypeService } from './meta-port-type.service';
import { MetaTargetHostTypeService } from './meta-target-host-type.service';
import { MetaTargetServiceTypeService } from './meta-target-service-type.service';
import { MetaTargetStatusEnum } from '@overflow/commons-typescript';
import { MetaTargetStatusService } from './meta-target-status.service';
import { MetaTargetTypeCategoryMappingService } from './meta-target-type-category-mapping.service';
import { MetaTargetTypeCategoryService } from './meta-target-type-category.service';
import { MetaTargetTypeService } from './meta-target-type.service';
import { MetaTargetZoneTypeService } from './meta-target-zone-type.service';

export const SERVICES = [
  MetaCrawlerInputItemService,
  MetaCrawlerService,
  MetaCrawlerMappingService,
  MetaCrawlerService,
  MetaCryptoTypeService,
  MetaEmailTypeService,
  MetaHistoryTypeService,
  MetaInfraTypeService,
  MetaInputTypeService,
  MetaIPTypeService,
  MetaMemberStatusService,
  MetaNoAuthProbeStatusService,
  MetaPortTypeService,
  MetaProbeStatusService,
  MetaSensorDisplayItemService,
  MetaSensorItemKeyService,
  MetaSensorItemTypeService,
  MetaSensorItemUnitService,
  MetaSensorItemService,
  MetaSensorStatusService,
  MetaTargetHostTypeService,
  MetaTargetServiceTypeService,
  MetaTargetStatusService,
  MetaTargetTypeCategoryMappingService,
  MetaTargetTypeCategoryService,
  MetaTargetTypeService,
  MetaTargetZoneTypeService,
];
