import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { UIModule } from '@overflow/shared/ui/ui.module';

import { NoAuthProbeRPCModule } from './noauth-probe-rpc.module';
import { NoAuthProbeLoggerModule } from './noauth-probe-logger.module';
import { COMPONENTS } from './component';

import { SERVICES } from './service';
import { InfraModule } from '../infra/infra.module';

@NgModule({
  imports: [
    CommonModule,
    NoAuthProbeRPCModule,
    NoAuthProbeLoggerModule,
    UIModule,
    InfraModule
  ],
  declarations: [
    COMPONENTS,
  ],
  exports: [
    COMPONENTS,
  ],
  providers: [
    SERVICES,
  ]
})
export class NoauthProbeModule { }
