import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { UIModule } from '@overflow/shared/ui/ui.module';
import { TargetModule } from '@overflow/target/target.module';

import { TargetListPageComponent } from './target-list-page.component';
import { TargetDetailPageComponent } from './target-detail-page.component';
import { TargetPageRoutingModule } from './target-page-routing.module';
import { TargetPageComponent } from './target-page.component';

@NgModule({
  imports: [
    CommonModule,
    UIModule,
    TargetPageRoutingModule,
    TargetModule,
    // TabbarModule
  ],
  declarations: [
    TargetPageComponent,
    TargetListPageComponent,
    TargetDetailPageComponent,
  ]
})
export class TargetPageModule { }
