import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { AlertLoggerModule } from './alert-logger.module';

import { COMPONENTS } from './component';
// import { SERVICES } from './service';
import { UIModule } from '@overflow/shared/ui/ui.module';

@NgModule({
  imports: [
    CommonModule,
    // InputChipModule,
    FormsModule,
    UIModule,
    AlertLoggerModule,
  ],
  declarations: [
    COMPONENTS
  ],
  exports: [
    COMPONENTS,
  ],
  providers: [
    // SERVICES,
  ],
})
export class AlertModule {
}
