import {
  createSelector,
  createFeatureSelector,
} from '@ngrx/store';

import { MODULE } from '../auth.constant';

import * as AuthStore from './auth';

export interface State {
  auth_container: AuthStore.State;
}

export const REDUCERS = {
  auth_container: AuthStore.reducer,
};

export const EFFECTS = [
];

export const selectState = createFeatureSelector<State>(MODULE.name);

export const AuthSelector = AuthStore.getSelectors(createSelector(
  selectState,
  (state: State) => state.auth_container
));
