import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { TargetPageComponent } from './target-page.component';
import { TargetListPageComponent } from './target-list-page.component';
import { TargetDetailPageComponent } from './target-detail-page.component';


const routes: Routes = [
  {
    path: '',
    component: TargetPageComponent,
    children: [
      { path: '', component: TargetListPageComponent },
      { path: ':targetID/info', component: TargetDetailPageComponent }
    ]
  }
];


@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class TargetPageRoutingModule { }
